/*
 * This file is part of Skyward Hub.
 *
 * Skyward Hub is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Skyward Hub is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Skyward Hub. If not, see <https://www.gnu.org/licenses/>.
 *
 */

#pragma once

#include <QList>
#include <QMap>
#include <QString>

namespace ValvesList
{

// Valves
enum class Valve : int
{
    N2O_FILLING = 0,
    N2O_RELEASE,
    N2O_DETACH,
    N2O_VENTING,
    N2_FILLING,
    N2_RELEASE,
    N2_DETACH,
    N2_QUENCHING,
    N2_3WAY,
    MAIN,
    NITROGEN,
    TARS,
    IGNITION
};

// Groundstation labels
static const QList<QString> valvesLabels{
    "N2O FILLING", "N2O RELEASE", "N2O DETACH",   "N2O VENTING", "N2 FILLING",
    "N2 RELEASE",  "N2 DETACH",   "N2 QUENCHING", "N2 3WAY",     "MAIN",
    "NITROGEN",    "TARS",        "IGNITION"};

}  // namespace ValvesList